Existing Casafari API · API v1 · Valuation
Search estimated prices
https://api.casafari.com/v1/valuation/comparables-pricesSend Authorization: Token $CASAFARI_TOKEN with your existing API token; see where to get it.
The same path under /api, signed in with a bearer token, is in the REST API reference: POST /api/v1/valuation/comparables-prices.
Description
Returns estimated prices by the given parameters.
Request body
Content type application/json. Optional. Type: object.
comparables_countintegerrequiredtarget_pointobjectlocation_boundary.circle field instead.3 properties
coordinatesobject2 properties
latitudenumberrequiredlongitudenumberrequiredaddressstringcadastral_referenceobject4 properties
country_codestringrequiredEScadastral_referencestringrequiredprovincestringmunicipalitystringdistancenumbertarget_point to comparable properties. This field is deprecated and will be removed in the next major update. Please, use location_boundary.circle field instead.location_boundaryobjectrequired2 properties
polygonobject[]2 properties
latitudenumberrequiredlongitudenumberrequiredcircleobject2 properties
distancenumbertarget_point to the properties.target_pointobjectrequired3 properties
coordinatesobject2 properties
latitudenumberrequiredlongitudenumberrequiredaddressstringcadastral_referenceobject4 properties
country_codestringrequiredEScadastral_referencestringrequiredprovincestringmunicipalitystringsold_or_rented_afterstring (date)nullableYYYY-MM-DD) will be considered as possible comparables. Default value: 9 months ago, counting from today. If null is passed, only active properties will be considered.operationstringrequiredsale rentcomparables_typestringcomparables_types field instead.40 allowed values
apartment studio duplex penthouse dachgeschosswohnung etagenwohnung erdgeschosswohnung country_house house palace townhouse villa country_estate chalet bungalow family_house reihenhaus reihenendhaus reihenmittelhaus einfamilienhaus zweifamilienhaus landwirtschaftliche_betriebe retail office industrial warehouse hotel other_commercial restaurant werkstatt plot urban_plot rural_plot room other garage parking apartment_building office_building mix_use_buildingcomparables_typesstring[]required40 allowed values
apartment studio duplex penthouse dachgeschosswohnung etagenwohnung erdgeschosswohnung country_house house palace townhouse villa country_estate chalet bungalow family_house reihenhaus reihenendhaus reihenmittelhaus einfamilienhaus zweifamilienhaus landwirtschaftliche_betriebe retail office industrial warehouse hotel other_commercial restaurant werkstatt plot urban_plot rural_plot room other garage parking apartment_building office_building mix_use_buildingmin_priceintegermax_priceintegerconditionstringused ruin very-good new otherbedroomsintegerrooms).roomsintegerbedrooms).bathroomsintegerconstruction_yearintegertotal_areaintegerhotel, industrial, office, other_commercial, restaurant, retail, warehouse, werkstatt property types if target_point.cadastral_reference is not provided.plot_areaintegerrural_plot and urban_plot property types if target_point.cadastral_reference is not provided.floorsstring[]no_floor ground middle topfloor_numberinteger[]orientationstringexterior interiorviewsstring[]water landscape city golf parkdirectionsstring[]north south east westcharacteristicsobject3 properties
must_havestring[]balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuitynice_to_havestring[]balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuityexcludestring[]balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuityenergy_certificatestringenergy_ratings field instead.Unknown A+ A B C D E F G Henergy_certificatesstring[]energy_ratings field instead.Unknown A+ A B C D E F G Henergy_ratingsstring[]Unknown A+ A B C D E F G Hdays_on_market_fromintegerdays_on_market_tointegerwith_agenciesstring[]without_agenciesstring[]exclude_outliersbooleanExample request
Placeholders only: replace the token and the values with your own.
curl -X POST "https://api.casafari.com/v1/valuation/comparables-prices" \
-H "Authorization: Token $CASAFARI_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"comparables_count": 20,
"location_boundary": {
"circle": {
"distance": 3.5,
"target_point": {
"coordinates": {
"latitude": 38.74,
"longitude": -9.17
}
}
}
},
"sold_or_rented_after": "2020-06-01",
"days_on_market_from": 10,
"days_on_market_to": 1000,
"operation": "sale",
"comparables_types": [
"apartment"
],
"bedrooms": 2,
"construction_year": 2010,
"total_area": 125,
"condition": "used",
"floors": [
"middle",
"top"
],
"floor_number": [
3,
5
],
"views": [
"city",
"landscape"
],
"directions": [
"west",
"north"
],
"characteristics": {
"must_have": [
"balcony",
"elevator"
],
"nice_to_have": [
"garage",
"parking",
"storage"
]
},
"energy_ratings": [
"A",
"B",
"C"
]
}'Responses
200
Type: object.
Show the response shape (13 fields)
statisticsobjectrequiredoperation defined in the request).5 properties
average_priceintegerrequiredaverage_price_per_sqmnumberrequiredaverage_time_on_the_marketintegerrequiredaverage_listings_per_propertynumberrequiredsold_or_rented_in_last_six_monthsintegerrequiredestimated_pricesobjectrequiredoperation defined in the request).6 properties
fast_sell_priceintegerrequiredfair_market_priceintegerrequiredout_of_market_priceintegerrequiredfast_sell_price_per_sqmnumberrequiredfair_market_price_per_sqmnumberrequiredout_of_market_price_per_sqmnumberrequiredExample from the API description
{
"statistics": {
"average_price": 767950,
"average_price_per_sqm": 6376,
"average_time_on_the_market": 169,
"average_listings_per_property": 6.2,
"sold_or_rented_in_last_six_months": 453
},
"estimated_prices": {
"fast_sell_price": 741210,
"fair_market_price": 797000,
"out_of_market_price": 852790,
"fast_sell_price_per_sqm": 5929.68,
"fair_market_price_per_sqm": 6376,
"out_of_market_price_per_sqm": 6822.32
}
}400 Bad Request
Type: object.
Show the response shape (1 fields)
errorsobject401 Unauthorized
Type: object.
Show the response shape (1 fields)
detailstring403 Forbidden
Type: object.
Show the response shape (1 fields)
detailstring